Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc	(revision 1055)
@@ -25,10 +25,23 @@
 //
 //
-// $Id: G4QCHIPSWorld.cc,v 1.32 2006/06/29 20:06:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QCHIPSWorld.cc,v 1.33 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCHIPSWorld ----------------
 //             by Mikhail Kossov, Sept 1999.
 //      class for the CHIPS World definition in CHIPS Model
+// -------------------------------------------------------------------
+// Short description: The CHIPS World is a world of elementary particles
+// and nuclear fragments. This class is a singletone, but without fixed
+// limits. E.g. the nuclear fragments as possible G4Candidates can be
+// initialized in the CHIPS World only up to Be8 od C12 or other bigger
+// nuclear fragment. If one need the heavy fragment production then the
+// the CHIPS World must be initialized up to these fragments (see the
+// CHIPS Manual), but the price in performans will be big, because in
+// each act of the fragmentation competition these numerous candidates
+// take place in the competition and the hadronization probability is
+// calculated each time for each of them, so the Be8 limit (Be8->alpha+
+// alpha decays very fast and contribute to the alpha-spectrum) is the
+// most optimal.
 // -------------------------------------------------------------------
 
@@ -114,9 +127,9 @@
       {
 #ifdef debug
-		G4cout<<"G4QCHIPSWorld::GetParticles: Create particle QCode="<<i<<G4endl;
+        G4cout<<"G4QCHIPSWorld::GetParticles: Create particle QCode="<<i<<G4endl;
 #endif
         G4QParticle* curPart = new G4QParticle(cf,i); // Created with QCode=i
 #ifdef debug
-		G4cout<<"G4QCHIPSWorld::GetParticles: Particle QCode="<<i<<" is created."<<G4endl;
+        G4cout<<"G4QCHIPSWorld::GetParticles: Particle QCode="<<i<<" is created."<<G4endl;
 #endif
         //curPart->InitQParticle(i);             //
@@ -135,7 +148,2 @@
   return &GetQWorld();
 }
-
-
-
-
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc	(revision 1055)
@@ -25,10 +25,14 @@
 //
 //
-// $Id: G4QCandidate.cc,v 1.34 2006/11/27 10:44:53 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QCandidate.cc,v 1.35 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCandidate ----------------
 //             by Mikhail Kossov, Sept 1999.
 //      class for Quasmon initiated Candidates used by CHIPS Model
+// ------------------------------------------------------------------
+// Short description: A candidate for hadronization. The candidates
+// (hadrons or nuclear fragments) are competative, each quark of a
+// Quasmon select which candidate to use for hadronization
 // ------------------------------------------------------------------
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QContent.cc,v 1.44 2008/03/20 20:11:37 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QContent.cc,v 1.45 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QContent ----------------
@@ -32,5 +32,14 @@
 //      class for Quasmon initiated Contents used by CHIPS Model
 // --------------------------------------------------------------------
+// Short description: This is the basic class of the CHIPS model. It
+// describes the quark content of the Quasmon, which is a generalized
+// hadronic state. All Quasmons are bags, characterized by the quark
+// Content (QContent), but the spin is not fixed and only light (u,d,s)
+// quarks are considered (SU(3)). The hadrons are the ground states for
+// the corresponding quasmons. The Chipolino (G4QChipolino) or nuclear
+// cluster are examples for another Quark Content.
+// --------------------------------------------------------------------
 // @@ In future total spin & c,b,t of the Hadron can be added @@ M.K.@@
+// --------------------------------------------------------------------
 
 //#define debug
@@ -93,5 +102,5 @@
     nAD = right.nAD;
     nAS = right.nAS;
-		}
+  }
   return *this;
 }
@@ -135,5 +144,5 @@
     G4int dAU=rAU-nAU;
     if(dU>0||dAU>0)
-   	{
+    {
       G4int kU=dU;
       if(kU<dAU) kU=dAU;                  // Get biggest difference
@@ -141,5 +150,5 @@
       if(rAU<mU) mU=rAU;                  // Get a#of possible SS pairs
       if(kU<=mU)                          // Total compensation
-	     {
+      {
         rU-=kU;
         rAU-=kU;
@@ -158,5 +167,5 @@
     G4int dAD=rAD-nAD;
     if(dD>0||dAD>0)
-	   {
+    {
       G4int kD=dD;
       if(kD<dAD) kD=dAD;                  // Get biggest difference
@@ -164,5 +173,5 @@
       if(rAD<mD) mD=rAD;                  // Get a#of possible SS pairs
       if(kD<=mD)                          // Total compensation
-	     {
+      {
         rD-=kD;
         rAD-=kD;
@@ -190,10 +199,10 @@
       rU +=1;
       rAU+=1;
-	   }
+    }
     else
     {
       rD +=1;
       rAD+=1;
-	   }
+    }
   }
   nD -= rD;
@@ -258,5 +267,5 @@
     G4int dAU=rAU-nAU;
     if(dU>0||dAU>0)
-	   {
+    {
       G4int kU=dU;
       if(kU<dAU) kU=dAU;                  // Get biggest difference
@@ -264,5 +273,5 @@
       if(rAU<mU) mU=rAU;                  // Get a#of possible SS pairs
       if(kU<=mU)                          // Total compensation
-	     {
+      {
         rU-=kU;
         rAU-=kU;
@@ -281,5 +290,5 @@
     G4int dAD=rAD-nAD;
     if(dD>0||dAD>0)
-	   {
+    {
       G4int kD=dD;
       if(kD<dAD) kD=dAD;                  // Get biggest difference
@@ -287,5 +296,5 @@
       if(rAD<mD) mD=rAD;                  // Get a#of possible SS pairs
       if(kD<=mD)                          // Total compensation
-	     {
+      {
         rD-=kD;
         rAD-=kD;
@@ -310,10 +319,10 @@
       rU +=1;
       rAU+=1;
-	   }
+    }
     else
     {
       rD +=1;
       rAD+=1;
-	   }
+    }
   }
   nD -= rD;
@@ -507,7 +516,7 @@
   if((tot!=4||q!=2) && (tot!=5||(q!=1&&aq!=1)) && (tot!=6||abs(b)!=2))
   {
-	   //#ifdef erdebug
+    //#ifdef erdebug
     G4cerr<<"***G4QCont::SplitChipo: QC="<<GetThis()<<G4endl;
-	   //#endif
+    //#endif
   }
   else if(tot==4)      // Mesonic (eight possibilities)
@@ -519,7 +528,7 @@
     else
     {
-	     //#ifdef debug
+      //#ifdef debug
       G4cerr<<"***G4QCont::SplitChipo:MesTot="<<tot<<",b="<<b<<",q="<<q<<",a="<<aq<<G4endl;
-	     //#endif
+      //#endif
     }
   }
@@ -527,35 +536,35 @@
   {
     if(nU==3)
-	   {
+    {
       r.SetU(1);
       r+=IndAQ();
     }
     else if(nD==3)
-	   {
+    {
       r.SetD(1);
       r+=IndAQ();
     }
     else if(nS==3)
-	   {
+    {
       r.SetS(1);
       r+=IndAQ();
     }
     else if(nAU==3)
-	   {
+    {
       r.SetAU(1);
       r+=IndQ();
     }
     else if(nAD==3)
-	   {
+    {
       r.SetAD(1);
       r+=IndQ();
     }
     else if(nAS==3)
-	   {
+    {
       r.SetAS(1);
       r+=IndQ();
     }
     else if(q==1&&nU)
-	   {
+    {
       r.SetU(1);
       if(nAU) r.SetAU(1);
@@ -563,5 +572,5 @@
     }
     else if(q==1&&nD)
-	   {
+    {
       r.SetD(1);
       if(nAD) r.SetAD(1);
@@ -569,5 +578,5 @@
     }
     else if(q==1&&nS)
-	   {
+    {
       r.SetS(1);
       if(nAS) r.SetAS(1);
@@ -575,5 +584,5 @@
     }
     else if(aq==1&&nAU)
-	   {
+    {
       r.SetAU(1);
       if(nU) r.SetU(1);
@@ -581,5 +590,5 @@
     }
     else if(aq==1&&nAD)
-	   {
+    {
       r.SetAD(1);
       if(nD) r.SetD(1);
@@ -587,5 +596,5 @@
     }
     else if(aq==1&&nAS)
-	   {
+    {
       r.SetAS(1);
       if(nS) r.SetS(1);
@@ -594,5 +603,5 @@
     else
     {
-	     //#ifdef erdebug
+      //#ifdef erdebug
       G4cerr<<"***G4QCont::SplitChipo: Baryonic tot=5,b=1,qCont="<<GetThis()<<G4endl;
       //#endif
@@ -603,5 +612,5 @@
     r=GetThis();
     if (bn>0)                // baryonium
-	   {
+    {
       G4QContent la(1,1,1,0,0,0);
       G4QContent nt(2,1,0,0,0,0);
@@ -621,5 +630,5 @@
         else
         {
-       	  //#ifdef erdebug
+          //#ifdef erdebug
           G4cerr<<"***G4QCont::SplitChipo:Dibar (1) tot=6, b=2, qCont="<<GetThis()<<G4endl;
           //#endif
@@ -635,5 +644,5 @@
         else
         {
-     	    //#ifdef erdebug
+          //#ifdef erdebug
           G4cerr<<"***G4QContent::SplitChipo:Dib(2) tot=6, b=2, qCont="<<GetThis()<<G4endl;
           //#endif
@@ -649,12 +658,12 @@
         else
         {
-     	    //#ifdef erdebug
+          //#ifdef erdebug
           G4cerr<<"***G4QContent::SplitChipo:Dib(3) tot=6, b=2, qCont="<<GetThis()<<G4endl;
           //#endif
         }
       }
-	   }
+    }
     else                     // Anti-baryonium
-	   {
+    {
       G4QContent la(0,0,0,1,1,1);
       G4QContent pr(0,0,0,1,2,0);
@@ -674,5 +683,5 @@
         else
         {
-     	    //#ifdef erdebug
+          //#ifdef erdebug
           G4cerr<<"***G4QContent::SplitChipo:ADib(1) tot=6,b=2, qCont="<<GetThis()<<G4endl;
           //#endif
@@ -688,5 +697,5 @@
         else
         {
-     	    //#ifdef erdebug
+          //#ifdef erdebug
           G4cerr<<"***G4QContent::SplitChipo:ADib(2) tot=6,b=2, qCont="<<GetThis()<<G4endl;
           //#endif
@@ -702,10 +711,10 @@
         else
         {
-     	    //#ifdef erdebug
+          //#ifdef erdebug
           G4cerr<<"***G4QContent::SplitChipo:ADib(3) tot=6,b=2, qCont="<<GetThis()<<G4endl;
           //#endif
         }
       }
-	   }
+    }
   }
   else // More than Dibaryon (@@ can use the same algorithm as for dibaryon)
@@ -779,5 +788,5 @@
     G4int res=tot+nQAQ;
 #ifdef pdebug
-	G4cout<<"G4QC::DecQC: tot="<<tot<<", nTP="<<nTotP<<", res="<<res<<G4endl;
+ G4cout<<"G4QC::DecQC: tot="<<tot<<", nTP="<<nTotP<<", res="<<res<<G4endl;
 #endif
     if(res<0)
@@ -810,5 +819,5 @@
     G4int j = static_cast<int>(base*G4UniformRand());       // Random integer "SortOfQuark"
     if (nUP && j<nUP && (nRet>2 || nUP>1 || (nD<2 && nS<2)))// --- U-Ubar pair
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QC::DecQC: decrementing UAU pair UP="<<nUP<<", QC="<<GetThis()<<G4endl;
@@ -819,7 +828,7 @@
       nLP--;
       nTotP--;
-	   } 
+    } 
     else if (nDP && j<nLP && (nRet>2 || nDP>1 || (nU<2 && nS<2)))// --- D-Ubar pair
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QC::DecQC: decrementing DAD pair DP="<<nDP<<", QC="<<GetThis()<<G4endl;
@@ -830,7 +839,7 @@
       nLP--;
       nTotP--;
-	   } 
+    } 
     else if (nSP&& (nRet>2 || nSP>1 || (nU<2 && nD<2)))          // --- S-Sbar pair
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QC::DecQC: decrementing SAS pair SP="<<nSP<<", QC="<<GetThis()<<G4endl;
@@ -840,7 +849,7 @@
       nSP--;
       nTotP--;
-	   }
+    }
     else if (nUP)                                  // --- U-Ubar pair cancelation (final)
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QC::DecQC:Decrement UAU pair (final) UP="<<nUP<<",QC="<<GetThis()<<G4endl;
@@ -851,7 +860,7 @@
       nLP--;
       nTotP--;
-	   } 
+    } 
     else if (nDP)                                 // --- D-Ubar pair cancelation (final)
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QC::DecQC:Decrement DAD pair (final) DP="<<nDP<<",QC="<<GetThis()<<G4endl;
@@ -862,7 +871,7 @@
       nLP--;
       nTotP--;
-	   } 
+    } 
     else if (nSP)                                 // --- S-Sbar pair cancelation (final)
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QC::DecQC: decrementing SAS pair SP="<<nSP<<", QC="<<GetThis()<<G4endl;
@@ -872,5 +881,5 @@
       nSP--;
       nTotP--;
-	   }
+    }
     else G4cout<<"***G4QC::DecQC:i="<<i<<",j="<<j<<",D="<<nDP<<",U="<<nUP<<",S="<<nSP
                <<",T="<<nTotP<<",nRet="<<nRet<<", QC="<<GetThis()<<G4endl;
@@ -894,32 +903,32 @@
 #endif
     //if      (!j)
-	   if      ( !j && (nU<=nD || nU<=nS))
+    if      ( !j && (nU<=nD || nU<=nS))
     {
       nU++;
       nAU++;
       tot+=2;
-	   }
+    }
     //else if (j==1)
-	   else if (j==1 && (nD<=nU || nD<=nS))
-	   {
+    else if (j==1 && (nD<=nU || nD<=nS))
+    {
       nD++;
       nAD++;
       tot+=2;
-	   }
+    }
     //else
-	   else if (j>1&& (nS<=nU || nS<=nD))
+    else if (j>1&& (nS<=nU || nS<=nD))
     {
       nS++;
       nAS++;
       tot+=2;
-	   }
+    }
     else if (!j)
-	   {
+    {
       nD++;
       nAD++;
       tot+=2;
-	   }
+    }
     else if (j==1)
-	   {
+    {
       nU++;
       nAU++;
@@ -931,13 +940,13 @@
       nAS++;
       tot+=2;
-	   }
+    }
     //else if (nD<=nU)
-	   //{
+    //{
     //  nD++;
     //  nAD++;
     //  tot+=2;
-	   //}
+    //}
     //else
-	   //{
+    //{
     //  nU++;
     //  nAU++;
@@ -1086,13 +1095,13 @@
     G4int dD=nD+nD;
     if(n>dD)
- 	  {
+    {
       mD=0;
       n-=dD;
-	   }
+    }
     else if (n==dD)
- 	  {
+    {
       mD=2;
       n=2;
-	   }
+    }
     else
     {
@@ -1107,13 +1116,13 @@
     G4int dU=nU+nU;
     if(n>dU)
-	   {
+    {
       mU=0;
       n-=dU;
-	   }
+    }
     else if (n==dU)
- 	  {
+    {
       mU=2;
       n=2;
-	   }
+    }
     else
     {
@@ -1128,13 +1137,13 @@
     G4int dS=nS+nS;
     if(n>dS)
-	   {
+    {
       mS=0;
       n-=dS;
-	   }
+    }
     else if (n==dS)
- 	  {
+    {
       mS=2;
       n=2;
-	   }
+    }
     else
     {
@@ -1156,5 +1165,5 @@
     G4int ab=abs(b);
     if(ab>=2 && n>=6)                            // Multi-Baryonium (NuclearFragment)
-	   {
+    {
       G4int mI=nU-nAU-nD+nAD;
       //if     (abs(mI)>3||mS>3||(b>0&&s<-1)||(b<0&&s>1)) return  0;
@@ -1165,17 +1174,17 @@
                            || (b < 0 && s > 0)) return GetZNSPDGCode();
       else if(mU>=mS&&mD>=mS&&mU+mD+mS==3*b)     // Possible Unary Nuclear Cluster
-	     {
+      {
         G4int mZ=(mU+mD-mS-mS+3*mI)/6;
         p = 90000000+1000*(1000*mS+mZ)+mZ-mI;
         if(b>0) return  p;
         else    return -p;
-	     }
+      }
       else return 10;
-	   }
+    }
     // Normal One Baryon States: Heavy quark should come first
     if(n>5) return GetZNSPDGCode();            //B+M+M Tripolino etc
     if(n==5) return 10;                        //B+M Chipolino
     if(mS>0)                                   // Strange Baryons
-	   {
+    {
       p=3002;
       if      (mS==3)            p+=332;       // Decuplet
@@ -1185,5 +1194,5 @@
         else if (mU==0 && mD==1) p+=310;
         else
-		      {
+        {
 #ifdef debug
           G4cout<<"**G4QC::SPDG:ExoticBSS,U="<<mU<<",D="<<mD<<",S="<<mS<<GetThis()<<G4endl;
@@ -1191,5 +1200,5 @@
           return GetZNSPDGCode();
         }
-	     }
+      }
       else if (mS==1)
       {
@@ -1204,5 +1213,5 @@
           return GetZNSPDGCode();
         }
-	     }
+      }
       else                                     // Superstrange case
       {
@@ -1212,7 +1221,7 @@
         return GetZNSPDGCode();
       }
-	   }
+    }
     else if (mU>0)                               // Not Strange Baryons
-	   {
+    {
       p=2002;
       if      (mU==3 && mD==0) p+=222;           // Decuplet
@@ -1226,5 +1235,5 @@
         return GetZNSPDGCode();
       }
-	   }
+    }
     else if (mD==3) p=1114;                      // Decuplet
     else
@@ -1234,5 +1243,5 @@
 #endif
       return GetZNSPDGCode();
-	   }
+    }
     if (b<0) p=-p;
   }
@@ -1248,16 +1257,16 @@
 #endif
       return 0;
-	   }
+    }
     if(n==4) return 10;                          // M+M Chipolino
     if(abs(s)>1)
-	   {
+    {
 #ifdef debug
       G4cout<<"**G4QC::SPDG:Stran="<<s<<",QC="<<GetThis()<<" - Superstrange Meson"<<G4endl;
 #endif
       return 0;
-	   }
+    }
     // Heavy quark should come first
     if(mS>0)                                     // Strange Mesons
-	   {
+    {
       p=301;
       if      (mS==2)
@@ -1276,7 +1285,7 @@
         return 0;
       }
-	   }
+    }
     else if (mU>0)                               // Isotopic Mesons
-	   {
+    {
       p=201;
       //if      (mU==2 && mD==0) p=221; // Performance problems
@@ -1284,5 +1293,5 @@
       else if (mU==1 && mD==1) p+=10;
       else
-	     {
+      {
 #ifdef debug
         G4cout<<"*G4QC::SPDG:ExMU U="<<mU<<",D="<<mD<<",S="<<mS<<",QC="<<GetThis()<<G4endl;
@@ -1290,5 +1299,5 @@
         return 0;
       }
-	   }
+    }
     else if (mD==2) p=111;
     else
@@ -1330,10 +1339,10 @@
     if (j<=0) return 0;
     if(mD>1||j>1) for (int i=1; i<=mD; i++)
-	   {
+    {
       if(!j) return 0;
       c*=j/i;
       j--;
     }
-  };
+  }
   if(mU>0)
   {
@@ -1341,10 +1350,10 @@
     if (j<=0) return 0;
     if(mU>1||j>1) for (int i=1; i<=mU; i++)
-	   {
+    {
       if(!j) return 0;
       c*=j/i;
       j--;
     }
-  };
+  }
   if(mS>0)
   {
@@ -1352,10 +1361,10 @@
     if (j<=0) return 0;
     if(mS>1||j>1) for (int i=1; i<=mS; i++)
-	   {
+    {
       if(!j) return 0;
       c*=j/i;
       j--;
     }
-  };
+  }
   if(mAD>0)
   {
@@ -1363,10 +1372,10 @@
     if (j<=0) return 0;
     if(mAD>1||j>1) for (int i=1; i<=mAD; i++)
-	   {
+    {
       if(!j) return 0;
       c*=j/i;
       j--;
     }
-  };
+  }
   if(mAU>0)
   {
@@ -1374,10 +1383,10 @@
     if (j<=0) return 0;
     if(mAU>1||j>1) for (int i=1; i<=mAU; i++)
-	   {
+    {
       if(!j) return 0;
       c*=j/i;
       j--;
     }
-  };
+  }
   if(mAS>0)
   {
@@ -1385,11 +1394,10 @@
     if (j<=0) return 0;
     if(mAS>1||j>1) for (int i=1; i<=mAS; i++)
-	   {
+    {
       if(!j) return 0;
       c*=j/i;
       j--;
     }
-  };
-  
+  } 
   return c;
 } 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1055)
@@ -25,10 +25,17 @@
 //
 //
-// $Id: G4QDecayChan.cc,v 1.27 2006/11/27 10:44:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QDecayChan.cc,v 1.28 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QDecayChan ----------------
 //             by Mikhail Kossov, Sept 1999.
 //      class for Decay Channels of Hadrons in CHIPS Model
+// -------------------------------------------------------------------
+// Short description: In the CHIPS World the particles (G4QParticle)
+// are defined. For unstable particles there is a G4QDecayChannelVector
+// which describes different channels of decay for the particular
+// particle. So the G4QDecayChannel class is the class for the description
+// of such a decay channel in two or three particles (the secondaries can
+// be unstable too and have firther decay).
 // -------------------------------------------------------------------
  
@@ -58,6 +65,6 @@
   }
 #ifdef debug
-  cout<<"G4QDecayChan is defined with pL="<<pLev<<",1="<<PDG1<<",2="<<PDG2<<",3="<<PDG3
-      <<",m1="<<firstPDG->GetMass()<<",m2="<<secondPDG->GetMass()<<",minM="<<theMinMass<<endl;
+  G4cout<<"G4QDecayChan is defined with pL="<<pLev<<",1="<<PDG1<<",2="<<PDG2<<",3="<<PDG3
+      <<",m1="<<firstPDG->GetMass()<<",m2="<<secondPDG->GetMass()<<",minM="<<theMinMass<<G4endl;
 #endif
 }
